org.apache.sling.validation.impl.model

## Class ChildResourceImpl

- java.lang.Object
- - org.apache.sling.validation.impl.model.ChildResourceImpl

All Implemented Interfaces:
  org.apache.sling.validation.model.ChildResource

    public class ChildResourceImpl
    extends Object
    implements org.apache.sling.validation.model.ChildResource

Implements a `ChildResource`

### Constructor Summary

Constructors
Constructor and Description
`ChildResourceImpl(String name, String nameRegex, boolean isRequired, List<org.apache.sling.validation.model.ResourceProperty> properties, List<org.apache.sling.validation.model.ChildResource> children)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Collection<org.apache.sling.validation.model.ChildResource>` `getChildren()`
`String` `getName()`
`Pattern` `getNamePattern()`
`Collection<org.apache.sling.validation.model.ResourceProperty>` `getProperties()`
`int` `hashCode()`
`boolean` `isRequired()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChildResourceImpl

    public ChildResourceImpl(@Nonnull
                             String name,
                             String nameRegex,
                             boolean isRequired,
                             @Nonnull
                             List<org.apache.sling.validation.model.ResourceProperty> properties,
                             @Nonnull
                             List<org.apache.sling.validation.model.ChildResource> children)

### Method Detail

#### getName

    @Nonnull
    public String getName()

Specified by:
  `getName` in interface `org.apache.sling.validation.model.ChildResource`

#### getProperties

    @Nonnull
    public Collection<org.apache.sling.validation.model.ResourceProperty> getProperties()

Specified by:
  `getProperties` in interface `org.apache.sling.validation.model.ChildResource`

#### getNamePattern

    public Pattern getNamePattern()

Specified by:
  `getNamePattern` in interface `org.apache.sling.validation.model.ChildResource`

#### getChildren

    @Nonnull
    public Collection<org.apache.sling.validation.model.ChildResource> getChildren()

Specified by:
  `getChildren` in interface `org.apache.sling.validation.model.ChildResource`

#### isRequired

    public boolean isRequired()

Specified by:
  `isRequired` in interface `org.apache.sling.validation.model.ChildResource`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`